<!DOCTYPE html>
<html lang="en">

<head>
    <title> All APIs sample cho Devcamp Project</title>
    <meta charset="utf-8">
    <meta name="viewport" page_container="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <link rel="stylesheet" href="style.css" />
    <link rel="stylesheet" href="globals.css" />
    <link rel="stylesheet" href="styleguide.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<style>
    .page_container-center {
        justify-page_container: center;
    }

    .list-item-contains {
        margin-bottom: 1.5em;
        border: 0;
        box-shadow: 5px 0px 5px -1px #f6f6f6, 0px 5px 5px 0px #F6F6F4, -5px 0px 5px -1px #f6f6f6, 0px -5px 5px -1px #f6f6f6;
        border-radius: 5px;
    }
</style>
<script>
    //hàm khi bấm vào dấu cộng
    $("#content").on("click", ".card-3" function(){
        saveToLocalStorage(this);
    });

    function saveToLocalStorage() {
        localStorage.setItem("name");
    }
    // Tổng số bản ghi của hệ thống
    var gTotalRecords = 100;

    // Tham số limit (Số lượng bản ghi tối đa trên 1 trang)
    var gPerpage = 9;

    // Tổng số trang. Math ceil để lấy số bản ghi tối đa có được. Ví dụ: 10 / 3 = 3.33 => Cần 4 trang hiển thị
    var gTotalPages = Math.ceil(gTotalRecords / gPerpage);

    $(document).ready(function () {
        // Thực hiện xử lý hiển thị của trang 1
        makecall(1);
    });


    function createpagination(vPagenum) {
        // Xóa trắng phần tử cũ
        $("#page_container").html("");

        // Nếu tran hiện tại là trang 1 thì nút Prev sẽ bị disable
        if (vPagenum == 1) {
            $("#page_container").append("<li class='page-item disabled previous'><a href='javascript:void(0)' class='page-link'><</a></li>");
        } else {
            $("#page_container").append("<li class='page-item' onclick='makecall(" + (vPagenum - 1) + ")'><a href='javascript:void(0)' class='page-link'><</a></li>");
        }

        // Hiển thị 3 trang trong phạm vi
        for (var bi = 0; bi <= 2; bi++) {
            if (vPagenum == (vPagenum + bi)) {
                $("#page_container").append("<li class='page-item disabled'><a href='javascript:void(0)' class='page-link'>" + (vPagenum + bi) + "</a></li>");
            } else {
                if ((vPagenum + bi) <= gTotalPages) {
                    $("#page_container").append("<li class='page-item' onclick='makecall(" + (vPagenum + bi) + ")'><a href='javascript:void(0)' class='page-link'>" + (vPagenum + bi) + "</a></li>");
                }
            }
        }

        // Nếu tran hiện tại là trang cuối cùng thì nút Next sẽ bị disable
        if (vPagenum == gTotalPages) {
            $("#page_container").append("<li class='page-item disabled'><a href='javascript:void(0)' class='page-link'>></a></li>");
        } else {
            $("#page_container").append("<li class='page-item next' onclick='makecall(" + (vPagenum + 1) + ")'><a href='javascript:void(0)' class='page-link'>></a></li>");
        }
    }

    function fetch_data(gPerpage, vPagenum) {
        const vQueryParams = new URLSearchParams();

        vQueryParams.append('_limit', 9);
        vQueryParams.append('_page', 0);
        vQueryParams.append('priceMin', 14);
        vQueryParams.append('priceMax', 16);
        vQueryParams.append('rating', 3);
        vQueryParams.append('rating', 4);

        $.ajax({
            type: 'get',
            url: 'https://food-ordering-fvo9.onrender.com/api/foods?' + vQueryParams.toString(),
            dataType: 'json',
            success: function (paramData) {
                console.log(paramData);
            },
            error: function (paramError) {
                console.log(paramError);
            }
        });
    }

    function makecall(vPagenum) {

        // Hàm tạo thanh phân trang
        createpagination(vPagenum);

        // Hàm hiển thị dữ liệu dựa vào 2 tham số phân trang
        fetch_data(gPerpage, vPagenum);
    }

</script>

<body>

    <body>
        <div class="kitchen-section">
            <div class="overlap">
                <div class="page_container">
                    <div class="SIDEBAR">
                        <div class="box">
                            <div class="overlap-group">
                                <div class="div">
                                    <img class="checkbox" src="img/checkbox-2.svg" />
                                    <div class="cats">
                                        <div class="stars-light">
                                            <div class="star"></div>
                                            <div class="star-2"></div>
                                            <div class="star-3"></div>
                                            <div class="star-4"></div>
                                            <div class="star-5"></div>
                                        </div>
                                        <div class="stars-light-2">
                                            <div class="star-6"></div>
                                            <div class="star-7"></div>
                                            <div class="star-8"></div>
                                            <div class="star-9"></div>
                                            <div class="star-10"></div>
                                        </div>
                                        <div class="stars-light-3">
                                            <div class="star-11"></div>
                                            <div class="star-12"></div>
                                            <div class="star-13"></div>
                                            <div class="star-14"></div>
                                            <div class="star-15"></div>
                                        </div>
                                        <div class="stars-light-4">
                                            <div class="star-16"></div>
                                            <div class="star-17"></div>
                                            <div class="star-18"></div>
                                            <div class="star-19"></div>
                                            <div class="star-20"></div>
                                        </div>
                                        <div class="stars-light-5">
                                            <div class="star-21"></div>
                                            <div class="star-22"></div>
                                            <div class="star-23"></div>
                                            <div class="star-24"></div>
                                            <div class="star-25"></div>
                                        </div>
                                        <img class="img" src="img/checkbox.svg" />
                                        <img class="checkbox-2" src="img/checkbox.svg" />
                                        <div class="checkbox-3"></div>
                                    </div>
                                </div>
                                <div class="text-wrapper">Rating</div>
                            </div>
                        </div>
                        <div class="overlap-wrapper">
                            <div class="overlap-2">
                                <div class="slider">
                                    <div class="text-wrapper-2">Ranger:</div>
                                    <div class="text-wrapper-3">$13.99 - $25.99</div>
                                    <img class="slider-2" src="img/slider.png" />
                                </div>
                                <div class="text-wrapper-4">Prices</div>
                            </div>
                        </div>
                    </div>
                    <div class="group">
                        <div class="overlap-3">
                            <img class="noodle" src="img/noodle-1.png" />
                            <div class="rectangle"></div>
                            <div class="overlap-group-wrapper">
                                <div class="overlap-group-2">
                                    <div class="text-wrapper-5">Foods</div>
                                    <p class="p">We are here to serve you, my lords!</p>
                                    <img class="link" src="img/link.png" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="pagination" id="page_container">
                        <div class="overlap-4">
                            <div class="text-wrapper-6">1</div>
                            <div class="text-wrapper-7">2</div>
                            <div class="div-wrapper">
                                <div class="text-wrapper-8">3</div>
                            </div>
                            <div class="text-wrapper-9">4</div>
                            <div class="text-wrapper-10">5</div>
                        </div>
                    </div>
                    <div class="product-card">
                        <div class="card-wrapper">
                            <div class="card">
                                <div class="frame">
                                    <div class="text-wrapper-11">50%</div>
                                </div>
                            </div>
                        </div>
                        <div class="product-card-details">
                            <div class="frame-2">
                                <div class="frame-3">
                                    <div class="text-wrapper-12">Home made pizza</div>
                                    <div class="card-2">
                                        <div class="text-wrapper-13">$19</div>
                                    </div>
                                </div>
                                <div class="frame-4">
                                    <div class="frame-5">
                                        <div class="card-rating">
                                            <img class="ant-design-star" src="img/ant-design-star-filled-8.svg" />
                                            <div class="text-wrapper-14">4.7</div>
                                        </div>
                                        <div class="frame-wrapper">
                                            <div class="frame-6">
                                                <div class="text-wrapper-14">50-79</div>
                                                <div class="text-wrapper-14">min</div>
                                            </div>
                                        </div>
                                    </div>
                                    <img class="card-3" id="plus-sign" src="img/card-5.svg" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="product-card-2">
                        <div class="unsplash-hmq"></div>
                        <div class="product-card-details">
                            <div class="frame-2">
                                <div class="frame-3">
                                    <div class="text-wrapper-12">Home made pizza</div>
                                    <div class="card-2">
                                        <div class="text-wrapper-13">$19</div>
                                    </div>
                                </div>
                                <div class="frame-4">
                                    <div class="frame-5">
                                        <div class="card-rating">
                                            <img class="ant-design-star" src="img/ant-design-star-filled-4.svg" />
                                            <div class="text-wrapper-14">4.7</div>
                                        </div>
                                        <div class="frame-wrapper">
                                            <div class="frame-6">
                                                <div class="text-wrapper-14">50-79</div>
                                                <div class="text-wrapper-14">min</div>
                                            </div>
                                        </div>
                                    </div>
                                    <img class="card-3" id="plus-sign" src="img/card-7.svg" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="product-card-3">
                        <div class="overlap-5">
                            <div class="card">
                                <div class="frame">
                                    <div class="text-wrapper-11">20%</div>
                                </div>
                            </div>
                        </div>
                        <div class="product-card-details">
                            <div class="frame-2">
                                <div class="frame-3">
                                    <div class="text-wrapper-12">Home made pizza</div>
                                    <div class="card-2">
                                        <div class="text-wrapper-13">$19</div>
                                    </div>
                                </div>
                                <div class="frame-4">
                                    <div class="frame-5">
                                        <div class="card-rating">
                                            <img class="ant-design-star" src="img/ant-design-star-filled-9.svg" />
                                            <div class="text-wrapper-14">4.7</div>
                                        </div>
                                        <div class="frame-wrapper">
                                            <div class="frame-6">
                                                <div class="text-wrapper-14">50-79</div>
                                                <div class="text-wrapper-14">min</div>
                                            </div>
                                        </div>
                                    </div>
                                    <img class="card-3" id="plus-sign" src="img/card-6.svg" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="product-card-4">
                        <div class="overlap-6">
                            <div class="card">
                                <div class="frame-7">
                                    <div class="text-wrapper-11">50%</div>
                                </div>
                            </div>
                        </div>
                        <div class="product-card-details">
                            <div class="frame-2">
                                <div class="frame-3">
                                    <div class="text-wrapper-12">Home made pizza</div>
                                    <div class="card-2">
                                        <div class="text-wrapper-15">$19</div>
                                    </div>
                                </div>
                                <div class="frame-4">
                                    <div class="frame-5">
                                        <div class="card-rating">
                                            <img class="ant-design-star" src="img/ant-design-star-filled-5.svg" />
                                            <div class="text-wrapper-14">4.7</div>
                                        </div>
                                        <div class="frame-wrapper">
                                            <div class="frame-6">
                                                <div class="text-wrapper-14">50-79</div>
                                                <div class="text-wrapper-14">min</div>
                                            </div>
                                        </div>
                                    </div>
                                    <img class="card-3" id="plus-sign" src="img/card-8.svg" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="product-card-5">
                        <div class="unsplash-nztp-hmq"></div>
                        <div class="product-card-details">
                            <div class="frame-2">
                                <div class="frame-3">
                                    <div class="text-wrapper-12">Home made pizza</div>
                                    <div class="card-2">
                                        <div class="text-wrapper-15">$19</div>
                                    </div>
                                </div>
                                <div class="frame-4">
                                    <div class="frame-5">
                                        <div class="card-rating">
                                            <img class="ant-design-star" src="img/ant-design-star-filled-7.svg" />
                                            <div class="text-wrapper-14">4.7</div>
                                        </div>
                                        <div class="frame-wrapper">
                                            <div class="frame-6">
                                                <div class="text-wrapper-14">50-79</div>
                                                <div class="text-wrapper-14">min</div>
                                            </div>
                                        </div>
                                    </div>
                                    <img class="card-3" id="plus-sign" src="img/card.svg" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="product-card-6">
                        <div class="overlap-7">
                            <div class="card">
                                <div class="frame">
                                    <div class="text-wrapper-11">20%</div>
                                </div>
                            </div>
                        </div>
                        <div class="product-card-details">
                            <div class="frame-2">
                                <div class="frame-3">
                                    <div class="text-wrapper-12">Home made pizza</div>
                                    <div class="card-2">
                                        <div class="text-wrapper-15">$19</div>
                                    </div>
                                </div>
                                <div class="frame-4">
                                    <div class="frame-5">
                                        <div class="card-rating">
                                            <img class="ant-design-star" src="img/ant-design-star-filled.svg" />
                                            <div class="text-wrapper-14">4.7</div>
                                        </div>
                                        <div class="frame-wrapper">
                                            <div class="frame-8">
                                                <div class="text-wrapper-14">50-79</div>
                                                <div class="text-wrapper-14">min</div>
                                            </div>
                                        </div>
                                    </div>
                                    <img class="card-3" id="plus-sign" src="img/card-9.svg" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="product-card-7">
                        <div class="overlap-8">
                            <div class="card">
                                <div class="frame">
                                    <div class="text-wrapper-11">50%</div>
                                </div>
                            </div>
                        </div>
                        <div class="product-card-details">
                            <div class="frame-2">
                                <div class="frame-3">
                                    <div class="text-wrapper-12">Home made pizza</div>
                                    <div class="card-2">
                                        <div class="text-wrapper-13">$19</div>
                                    </div>
                                </div>
                                <div class="frame-4">
                                    <div class="frame-5">
                                        <div class="card-rating">
                                            <img class="ant-design-star" src="img/ant-design-star-filled-3.svg" />
                                            <div class="text-wrapper-14">4.7</div>
                                        </div>
                                        <div class="frame-wrapper">
                                            <div class="frame-8">
                                                <div class="text-wrapper-14">50-79</div>
                                                <div class="text-wrapper-14">min</div>
                                            </div>
                                        </div>
                                    </div>
                                    <img class="card-3" id="plus-sign" src="img/card-3.svg" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="product-card-8">
                        <div class="unsplash"></div>
                        <div class="product-card-details">
                            <div class="frame-2">
                                <div class="frame-3">
                                    <div class="text-wrapper-12">Home made pizza</div>
                                    <div class="card-2">
                                        <div class="text-wrapper-13">$19</div>
                                    </div>
                                </div>
                                <div class="frame-4">
                                    <div class="frame-5">
                                        <div class="card-rating">
                                            <img class="ant-design-star" src="img/ant-design-star-filled-6.svg" />
                                            <div class="text-wrapper-14">4.7</div>
                                        </div>
                                        <div class="frame-wrapper">
                                            <div class="frame-8">
                                                <div class="text-wrapper-14">50-79</div>
                                                <div class="text-wrapper-14">min</div>
                                            </div>
                                        </div>
                                    </div>
                                    <img class="card-3" id="plus-sign" src="img/card-4.svg" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="product-card-9">
                        <div class="overlap-9">
                            <div class="card">
                                <div class="frame-7">
                                    <div class="text-wrapper-11">20%</div>
                                </div>
                            </div>
                        </div>
                        <div class="product-card-details">
                            <div class="frame-2">
                                <div class="frame-3">
                                    <div class="text-wrapper-12">Home made pizza</div>
                                    <div class="card-2">
                                        <div class="text-wrapper-13">$19</div>
                                    </div>
                                </div>
                                <div class="frame-4">
                                    <div class="frame-5">
                                        <div class="card-rating">
                                            <img class="ant-design-star" src="img/ant-design-star-filled-2.svg" />
                                            <div class="text-wrapper-14">4.7</div>
                                        </div>
                                        <div class="frame-wrapper">
                                            <div class="frame-6">
                                                <div class="text-wrapper-14">50-79</div>
                                                <div class="text-wrapper-14">min</div>
                                            </div>
                                        </div>
                                    </div>
                                    <img class="card-3" id="plus-sign" src="img/card-2.svg" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="BREADCRUMBS">
                        <div class="overlap-10">
                            <img class="base" src="img/base-2.svg" />
                            <div class="items">
                                <div class="text-wrapper-16">Home</div>
                                <div class="text-wrapper-17">/</div>
                                <div class="text-wrapper-18">Foods</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="checkbox-4"></div>
            </div>
        </div>
    </body>

</html>